<template>
  <div class="column flex items-center">
    <p class="title-headline">
      {{
        role === "employer"
          ? "Your Employer profile application is now for review."
          : "You have successfully registered your account!"
      }}
    </p>
    <p class="title-1" v-if="role === 'employer'">
      We will notify you via email for your application status.
    </p>
    <div class="row q-mt-md">
      <div class="col flex justify-center q-mt-sm q-pb-lg">
        <q-btn
          unelevated
          no-caps
          label="Log In"
          type="submit"
          class="btn-xl btn--shade-1 title-4 text-white rounded-borders-10"
          @click="$router.push('login')"
        />
      </div>
    </div>
  </div>
</template>

<script>
import { defineComponent } from "vue";
import { LocalStorage } from "quasar";

export default defineComponent({
  name: "NotifyViaEmailForm",
  setup() {
    const role = LocalStorage.getItem("role");

    return {
      role,
    };
  },
});
</script>

<style lang="scss" scoped>
.q-card {
  width: 205px;
  height: 74px;
  border-radius: $border-radius-10;
  padding: 13px;

  &:hover {
    cursor: pointer;
    opacity: 0.8;
    transition: ease 0.2s;
  }
}

label {
  font-weight: 400 !important;
}
</style>
